List taggings
curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/taggings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/taggings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/taggings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taggings": [
{
"guid": "TGN-007f5486-17e1-45fc-8b87-8f03984430fe",
"member_is_managed_by_user": false,
"tag_guid": "TAG-40faf068-abb4-405c-8f6a-e883ed541fff",
"transaction_guid": "TRN-810828b0-5210-4878-9bd3-f4ce514f90c4",
"user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Taggings
List taggings
GET
/
users
/
{user_guid}
/
taggings
List taggings
Use this endpoint to retrieve a list of all the taggings associated with a specific user.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
"TGN-007f5486-17e1-45fc-8b87-8f03984430fe"
Example:
false
Example:
"TAG-40faf068-abb4-405c-8f6a-e883ed541fff"
Example:
"TRN-810828b0-5210-4878-9bd3-f4ce514f90c4"
Example:
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
⌘I

